1. Payment Request
ZamuPay API Documentation
  • Introduction
  • Definitions
    • Data Types
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Payment Request
    • Overview
    • Payment Order Request Information
    • Mobile Money Requests
      • Overview
      • Mobile Transfers- Safaricom (M-Pesa)
      • Mobile Transfers - Airtel Money
    • Payment Order Requests - Business Transfers
      POST
    • Payment Order Requests - Bank Transfers
      POST
    • Find Payment Order By OriginatorConversationId
      GET
    • Reject Order By OriginatorConversationId
      POST
  • Collection Request
    • Overview
    • Express Deposit Request
      POST
    • Find Express Deposit By OriginatorConversationId
      GET
  • Checkout Request
    • Overview
    • Checkout Order Request
      POST
    • Query Checkout Request
      GET
    • Checkout Callback Request
      POST
  • Bill Payments
    • Overview
    • Bill Request Validation
      POST
    • Bill Request Payment
      POST
    • Find Bill Services
      GET
    • Find Bill Number By Service Id and Account Number
      GET
    • Find Bill Request By Originator Converstion Id
      GET
    • Bill Number
      POST
  • Account Validation
    • Overview
    • Account Number Validation Request
    • Find KYC Status by SystemTraceAuditNumber
    • Account Validation
    • Find Account Validation Status by SystemTraceAuditNumber
  • Payment Links
    • Overview
    • Create Payment Link
    • Find Payment Links By Id
    • Update Payment Link
  • Customer Accounts
    • Balance Check
    • Find Charges By TransactionTypeId
  • Airtime Purchase
    • Overview
    • Airtime Purchase
    • Find Airtime Purchases By OriginatorConversationId
  1. Payment Request

Payment Order Requests - Bank Transfers

Developing
https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
POST
/v1/payment-order/new-order
Description
Zamupay supports outbound payments (B2C) via Bank Transfers
Bank Name, Bank Code and Bank Account Number are Mandatory

Note: A valid token is required for authentication as it expires after every hour. Refer to Token Request to generate a new token.

Sample Bank request#

{
  "originatorConversationId": "{{$guid}}",
  "paymentNotes": "Bank Transfer",
  "paymentOrderLines": [
    {
      "remitter": {
        "name": "Frank Ocean",//Mandatory
        "address": "Missisipi River",//Mandatory
        "emailAddress":"frankyfrank@gmail.com",
        "phoneNumber": "+254714623456",//Mandatory
        "idType": "PASSPORT",//Mandatory.
        "idNumber": "GS1002223",//mandatory
        "idExpiryDate": "2026-04-03",//Mandatory YYYY-MM-DD
        "country": "KEN",//Mandatory.Alpha 3 country code
        "ccy": 404,//Correct currency code must be passed of the remitter
        "financialInstitution": "BANK",//Mandatory
        "sourceOfFunds": "SALARY",//Mandatory.
        "principalActivity": "individual",
        "dateOfBirth": "1989-05-14",//Mandatory  yyyy-mm-dd
        "nationality": "KEN",//Mandatory.Alpha 3 country code
        "occupation": "Software Developer"//Mandatory
      },
      "recipient": {
        "name": "James Onyango",//Mandatory
        "address": "{{$randomStreetAddress}}",
        "emailAddress": "{{$randomEmail}}",
        "phoneNumber": "+255745908755",//Mandatory.
        "idType": "NATIONALID",
        "idNumber": "23426672",
        "mccmnc":"64005",//mandatory, //Mobile Country Code + Mobile Network Code
        "financialInstitution": "Kenya Commercial Bank",//Mandatory-  Bank Name
        "institutionIdentifier": "01",//Mandatory- Bank Code
        "primaryAccountNumber": "0110000021",//Mandatory  - Bank Account Number
        "ccy": 404,//Correct currency code must be passed of the recipient
        "country": "KEN",//Mandatory.Alpha 3 country code
        "purpose": "Savings",//Mandatory.
        "nationality":"KEN"
      },
      "transaction": {
        "routeId": "547ededc-27ba-f011-a072-06468fc62cf9",
        "ChannelType": 213,
        "amount": 12,
        "reference": "TESTING Bank Transfer",
        "systemTraceAuditNumber": "{{$guid}}"
      },
   
    }
  ]
}

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://auth.zamupay.com/v1/payment-order/new-order' \
--header 'Authorization: Bearer <token>'
Response Response Example
{}
Modified at 2026-04-20 13:12:27
Previous
Payment Order Requests - Business Transfers
Next
Find Payment Order By OriginatorConversationId
Built with